comedi_get_hardcal_converter
Prev | 5.4.3. Calibration | Next

## Name

comedi_get_hardcal_converter — get converter for hardware-calibrated subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_get_hardcal_converter(` | comedi_t * device,
| unsigned subdevice,
| unsigned channel,
| unsigned range,
| enum comedi_conversion_direction direction,
| comedi_polynomial_t * converter`)`;

## Status

alpha

## Description

The function `comedi_get_hardcal_converter` initializes the comedi_polynomial_t pointed to by `converter` so it can be passed to either `comedi_to_physical`, or `comedi_from_physical`. The result can be used to convert data from the specified `subdevice`, `channel`, and `range`. The `direction` parameter specifies whether `converter` will be passed to `comedi_to_physical` or `comedi_from_physical`.

This function initializes the comedi_polynomial_t pointed to by `converter` as a simple linear function with no calibration information, appropriate for boards which do their gain/offset/nonlinearity corrections in hardware. If your board needs calibration to be performed in software by the host computer, use `comedi_get_softcal_converter` instead. A subdevice will advertise the fact that it depends on a software calibration with the `SDF_SOFT_CALIBRATED` subdevice flag.

The result of this function will only depend on the `channel` parameter if either `comedi_range_is_chan_specific` or `comedi_maxdata_is_chan_specific` returns true for the specified `subdevice`.

## Return value

Returns `0` on success, `-1` on failure.

Prev | Up | Next
comedi_get_default_calibration_path | Home | comedi_get_softcal_converter